Scalar DevelopersScalar Developers
User Guide
API Reference
FAQs
User Guide
API Reference
FAQs
  • Getting started

    • API Quick Start
    • API Authentication
    • API Responses
    • API Pagination
    • API Rate Limiting
    • Webhooks API
  • Resources

    • Announcements API
    • Boards API
    • Customers API
    • Ideas API
    • Idea States API
    • Surveys API
    • Topics API

Topics

Topics are tags that can be attached to ideas to help categorise feedback.


List topics

GET /api/v1/topics/

Retrieve a paginated list of topics. Use these IDs when creating or updating ideas.

Query parameters

ParameterTypeRequiredDefaultDescription
limitintegerNo20Results per page (max 100).
offsetintegerNo0Number of results to skip.

Example request

curl -sS \
  -H 'Authorization: Api-Key scalar*live*...' \
  'https://<your-host>/api/v1/topics/'

Success response (200 OK)

{
    "results": [
        {
            "id": 1,
            "name": "Feature request",
            "slug": "feature-request-abc123"
        }
    ],
    "count": 1
}

Objects

Topic object

FieldTypeDescription
idintegerUnique internal ID.
namestringTopic name.
slugstringURL-safe identifier.
Last Updated: 19/02/2026, 05:48
Contributors: Tlotlego Mogapi
Prev
Surveys API